Bug 973958 - haddock-2.17.2 is available
Summary: haddock-2.17.2 is available
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: haddock   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: haddock-2.17.2:deps
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 07:40 UTC by Upstream Release Monitoring
Modified: 2016-07-20 09:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.03 KB, patch)
2016-05-21 20:32 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2013-06-13 07:40:56 UTC
Latest upstream release: 2.13.2.1
Current version/release in Fedora Rawhide: 2.10.0-8.fc19
URL: http://hackage.haskell.org/packages/archive/haddock/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-03-26 08:22:13 UTC
Latest upstream release: 2.14.1
Current version/release in Fedora Rawhide: 2.13.2-2.fc20
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-04-03 09:18:50 UTC
Latest upstream release: 2.14.2
Current version/release in Fedora Rawhide: 2.13.2-2.fc20
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Jens Petersen 2014-05-12 07:41:02 UTC
check-bz-available-URM cblrepo output for haddock-2.14.2:

Adding haddock 2.14.2 would break:
  leksah-server : haddock >=2.7.2 && <2.14 && >=2.7.2 && <2.14

Comment 4 Upstream Release Monitoring 2014-07-24 13:11:16 UTC
Latest upstream release: 2.14.3
Current version/release in Fedora Rawhide: 2.13.2-4.fc21
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Jens Petersen 2014-07-24 17:50:03 UTC
fhbz: cblrepo output for haddock-2.14.3:

Failed to satisfy the following dependencies for haddock:
  ghc ==7.8.*

Comment 6 Upstream Release Monitoring 2014-08-31 21:45:35 UTC
Latest upstream release: 2.15.0
Current version/release in Fedora Rawhide: 2.13.2-5.fc22
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 7 Jens Petersen 2014-09-02 02:40:57 UTC
fhbz: cblrepo output for haddock-2.15.0:

Failed to satisfy the following dependencies for haddock:
  haddock-api ==2.15.0

Comment 8 Upstream Release Monitoring 2015-01-03 23:42:18 UTC
Latest upstream release: 2.15.0.2
Current version/release in Fedora Rawhide: 2.13.2-5.fc22
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 9 Jens Petersen 2015-01-06 10:03:34 UTC
fhbz: cblrepo output for haddock-2.15.0.2:

Failed to satisfy the following dependencies for haddock:
  haddock-api ==2.15.0.2
Adding haddock 2.15.0.2 would break:
  leksah-server : haddock >=2.7.2 && <2.15 && >=2.7.2 && <2.15

Comment 10 Upstream Release Monitoring 2015-03-29 00:34:29 UTC
Latest upstream release: 2.16.0
Current version/release in rawhide: 2.14.3-1.fc22
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-07-23 00:12:47 UTC
Latest upstream release: 2.16.1
Current version/release in rawhide: 2.14.3-2.fc23
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-07-23 00:13:01 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-0hiGtk/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-0hiGtk/100.0%: No such file or directory

Comment 13 Upstream Release Monitoring 2016-05-21 20:31:30 UTC
Latest upstream release: 2.17.2
Current version/release in rawhide: 2.14.3-3.fc24
URL: http://hackage.haskell.org/package/haddock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1291/

Comment 14 Upstream Release Monitoring 2016-05-21 20:31:59 UTC
Patching or scratch build for haddock-2.14.3 failed.

Comment 15 Upstream Release Monitoring 2016-05-21 20:32:01 UTC
Created attachment 1160214 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 16 Upstream Release Monitoring 2016-05-21 20:32:02 UTC
Patches were not touched. All were applied properly

Comment 17 Jens Petersen 2016-06-22 11:12:40 UTC
fhbz: cblrpm missingdeps output for haddock-2.17.2:


haddock-api

haddock-api needs: ghc-boot

Comment 18 Fedora Admin XMLRPC Client 2016-07-20 09:54:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.